
Redmine - Defect #23195

search occurred 500 error

2016-06-29 12:05 - Steven Wong

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

A NoMethodError occurred in search#index:

undefined method `where' for #&lt;Hash:0x007f0ff87135e0&gt;

  lib/plugins/acts_as_searchable/lib/acts_as_searchable.rb:93:in `search_result_ranks_and_ids'

 -------------------------------

Request:

-------------------------------

URL : http://192.168.1.41/search?utf8=%E2%9C%93&q=2644   * HTTP Method: GET   * IP address : 192.168.50.244   *

Parameters : {"utf8"=>"✓", "q"=>"2644", "controller"=>"search", "action"=>"index"}   * Timestamp  : 2016-06-29 09:52:59 UTC   *

Server : jira   * Rails root : /opt/redmine-3.3   * Process: 20909

-------------------------------

Session:

-------------------------------

session id: "b9d71b4319a467ce7b00af4eeb082b18"

data: {"session_id"=>"b9d71b4319a467ce7b00af4eeb082b18",

"user_id"=>1,

"tk"=>"50f6d45314017a00af2beb18e719f073122d4baa",

"sudo_timestamp"=>1467193748,

"my_page_sort"=>"none",

"_csrf_token"=>"Oy6Z39B8D1SgHsaQAH/d5IA+g+l7OVTNzWD7oQvUwj4=",

"recent_projects"=>[2]}

-------------------------------

Environment:

-------------------------------

HTTP_REFERER : http://192.168.1.41/projects   * HTTP_UPGRADE_INSECURE_REQUESTS                 : 1   *

HTTP_USER_AGENT                                : Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko)

Chrome/50.0.2661.94 Safari/537.36   * HTTP_VERSION                                   : HTTP/1.1   * ORIGINAL_FULLPATH                  

: /search?utf8=%E2%9C%93&q=2644   * ORIGINAL_SCRIPT_NAME                           :   * PATH_INFO                                      :

/search   * QUERY_STRING                                   : utf8=%E2%9C%93&q=2644   * REMOTE_ADDR                                    :

192.168.50.244   * REQUEST_METHOD                                 : GET   * REQUEST_PATH                                   : /search   *

REQUEST_URI                                    : /search?utf8=%E2%9C%93&q=2644   * ROUTES_41629840_SCRIPT_NAME               

:   * SCRIPT_NAME                                    :   * SERVER_NAME                                    : 192.168.1.41   * SERVER_PORT           

: 80   * SERVER_PROTOCOL                                : HTTP/1.1   * SERVER_SOFTWARE                                : thin 1.7.0

codename Dunder Mifflin   * action_controller.instance                     : #<SearchController:0x007f0fce636bd8>   *

action_dispatch.backtrace_cleaner              : #<Rails::BacktraceCleaner:0x00000003feb958>   * action_dispatch.cookies            

: #<ActionDispatch::Cookies::CookieJar:0x007f1011362608>   * action_dispatch.cookies_digest                 :   *

action_dispatch.cookies_serializer             :   * action_dispatch.encrypted_cookie_salt          : encrypted cookie   *

action_dispatch.encrypted_signed_cookie_salt   : signed encrypted cookie   * action_dispatch.http_auth_salt                 : http

authentication   * action_dispatch.key_generator                  : #<ActiveSupport::CachingKeyGenerator:0x00000004ad4c70>   *

action_dispatch.logger                         : #<ActiveSupport::Logger:0x00000004e0b4c0>   * action_dispatch.parameter_filter         

: [:password]   * action_dispatch.redirect_filter                : []   * action_dispatch.remote_ip                      : 192.168.50.244   *

action_dispatch.request.content_type           :   * action_dispatch.request.formats                : [#<Mime::Type:0x0000000183afd0

@synonyms=["application/xhtml+xml"], @symbol=:html, @string="text/html", @hash=-1372727287529389025>]   *

action_dispatch.request.parameters             : {"utf8"=>"✓", "q"=>"2644", "controller"=>"search", "action"=>"index"}   *

action_dispatch.request.path_parameters        : {:controller=>"search", :action=>"index"}   *
action_dispatch.request.query_parameters       : {"utf8"=>"✓", "q"=>"2644"}   * action_dispatch.request.request_parameters     :

{}   * action_dispatch.request.unsigned_session_cookie: {"session_id"=>"b9d71b4319a467ce7b00af4eeb082b18", "user_id"=>1,

"tk"=>"50f6d45314017a00af2beb18e719f073122d4baa", "sudo_timestamp"=>1467193748, "my_page_sort"=>"none",

"_csrf_token"=>"Oy6Z39B8D1SgHsaQAH/d5IA+g+l7OVTNzWD7oQvUwj4=", "recent_projects"=>[2]}   *

action_dispatch.request_id                     : 179d5473-b9d5-4ad4-9bee-256f034e6460   * action_dispatch.routes                         :

#<ActionDispatch::Routing::RouteSet:0x00000004f67120>   * action_dispatch.secret_key_base                :

59dda17a42803617f96151518b9aeecb94e132c6f140123f1982e1c8ae15d0103ffa854c4d8b0019   *

action_dispatch.secret_token                   :   * action_dispatch.show_detailed_exceptions       : false   *

action_dispatch.show_exceptions                : true   * action_dispatch.signed_cookie_salt             : signed cookie   *

async.callback                                 : #<Method: Thin::Connection#post_process>   * async.close                                    :

#<EventMachine::DefaultDeferrable:0x007f1008b206a0>   * rack.errors                                    : #<IO:0x000000007855a0>   *

rack.input                                     : #<StringIO:0x007f0fed1967d0>   * rack.multiprocess                              : false   *

rack.multithread                               : true   * rack.request.cookie_hash                       :

{"_redmine_session"=>"Umkwd2xzQys0L0lpUFRWdTljb056R0tyZC9HdkNJVkVYdHpwVytXQm1VR0xpQkFvcVZKblNPT2dRTX

RkMTVVZERIbWllZDF5WXgyc0pWWEZLQXZjLzBiMG5pSVErNlgrVHV2dzFXK0pzanA3cTA0ZkttU1RRdk5JS2s0N1pYMC9FV

zlCSFR0YWV3OVhBWVQvZmFaQjRMUS9mZWFiNjdRZDNiUGxQZ3YwT1BWakp0cUhhTHl5RmVQaUVTSTNZb2lnczROUk1

vMDJwMklaTkd4Y2J5SWZaQjVZNmpud3hrRTY5SG5aUmJVSHE0SFpGWWJQWjVodVRvcGJWRy9HdW9Hb1Y4WVRjQWpE

LysvYVl4RGdnK1E3MDhnTDVaeVZTMmIvN3BvbnJ4V05Qak1oeWMrdHdVS2RpVDRFZlU2Qi96S3JOSHpkTkN5MlpSZXUwd

FRjN1JjeHhRTGhqdXdKUUY0ZW50MytQbmtNR3Nha3lDd0g3VCthb04yWGcvMi8rRDEzLS04ZmVhcmJPQW9VKys2RGkrdTh

JeHZ3PT0=--b7bf55dfb07971c473acdb060ec6b041e1380a6b"}   * rack.request.cookie_string                     :

_redmine_session=Umkwd2xzQys0L0lpUFRWdTljb056R0tyZC9HdkNJVkVYdHpwVytXQm1VR0xpQkFvcVZKblNPT2dRTXRk

MTVVZERIbWllZDF5WXgyc0pWWEZLQXZjLzBiMG5pSVErNlgrVHV2dzFXK0pzanA3cTA0ZkttU1RRdk5JS2s0N1pYMC9FVzlC

SFR0YWV3OVhBWVQvZmFaQjRMUS9mZWFiNjdRZDNiUGxQZ3YwT1BWakp0cUhhTHl5RmVQaUVTSTNZb2lnczROUk1vM

DJwMklaTkd4Y2J5SWZaQjVZNmpud3hrRTY5SG5aUmJVSHE0SFpGWWJQWjVodVRvcGJWRy9HdW9Hb1Y4WVRjQWpELy

svYVl4RGdnK1E3MDhnTDVaeVZTMmIvN3BvbnJ4V05Qak1oeWMrdHdVS2RpVDRFZlU2Qi96S3JOSHpkTkN5MlpSZXUwdFR

jN1JjeHhRTGhqdXdKUUY0ZW50MytQbmtNR3Nha3lDd0g3VCthb04yWGcvMi8rRDEzLS04ZmVhcmJPQW9VKys2RGkrdThJe

HZ3PT0%3D--b7bf55dfb07971c473acdb060ec6b041e1380a6b   * rack.request.query_hash                        : {"utf8"=>"✓",

"q"=>"2644"}   * rack.request.query_string                      : utf8=%E2%9C%93&q=2644   * rack.run_once                                  :

false   * rack.session                                   : #<ActionDispatch::Request::Session:0x007f1018ba4788>   * rack.session.options   

: #<ActionDispatch::Request::Session::Options:0x007f1018ba4648>   * rack.url_scheme                                : http   *

rack.version                                   : [1, 0]

GATEWAY_INTERFACE                              : CGI/1.2

HTTP_ACCEPT                                    : text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8

HTTP_ACCEPT_ENCODING                           : gzip, deflate, sdch

HTTP_ACCEPT_LANGUAGE                           : zh-CN,zh;q=0.8,en-US;q=0.6,en;q=0.4

HTTP_CONNECTION                                : keep-alive

HTTP_COOKIE                                    :

_redmine_session=Umkwd2xzQys0L0lpUFRWdTljb056R0tyZC9HdkNJVkVYdHpwVytXQm1VR0xpQkFvcVZKblNPT2dRTXRk

MTVVZERIbWllZDF5WXgyc0pWWEZLQXZjLzBiMG5pSVErNlgrVHV2dzFXK0pzanA3cTA0ZkttU1RRdk5JS2s0N1pYMC9FVzlC

SFR0YWV3OVhBWVQvZmFaQjRMUS9mZWFiNjdRZDNiUGxQZ3YwT1BWakp0cUhhTHl5RmVQaUVTSTNZb2lnczROUk1vM

DJwMklaTkd4Y2J5SWZaQjVZNmpud3hrRTY5SG5aUmJVSHE0SFpGWWJQWjVodVRvcGJWRy9HdW9Hb1Y4WVRjQWpELy

svYVl4RGdnK1E3MDhnTDVaeVZTMmIvN3BvbnJ4V05Qak1oeWMrdHdVS2RpVDRFZlU2Qi96S3JOSHpkTkN5MlpSZXUwdFR

jN1JjeHhRTGhqdXdKUUY0ZW50MytQbmtNR3Nha3lDd0g3VCthb04yWGcvMi8rRDEzLS04ZmVhcmJPQW9VKys2RGkrdThJe

HZ3PT0%3D--b7bf55dfb07971c473acdb060ec6b041e1380a6b

HTTP_HOST                                      : 192.168.1.41

-------------------------------

Backtrace:

-------------------------------

lib/plugins/acts_as_searchable/lib/acts_as_searchable.rb:93:in `search_result_ranks_and_ids'

  lib/redmine/search.rb:127:in `block in load_result_ids'

  lib/redmine/search.rb:125:in `each'

  lib/redmine/search.rb:125:in `load_result_ids'

  lib/redmine/search.rb:115:in `block in load_result_ids_from_cache'

  lib/redmine/search.rb:114:in `load_result_ids_from_cache'

  lib/redmine/search.rb:99:in `result_ids'

  lib/redmine/search.rb:70:in `result_count'

  app/controllers/search_controller.rb:75:in `index'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2016-06-29 15:15 - Toshi MARUYAMA

- Status changed from New to Needs feedback
Please see submissions.

#2 - 2016-08-02 10:12 - Steven Wong

Environment:

Redmine version                3.3.0.stable.15732

Ruby version                   2.2.4-p230 (2015-12-16) [x86_64-linux]

Rails version                  4.2.6

Environment                    production

Database adapter               Mysql2

#3 - 2016-08-02 10:30 - Toshi MARUYAMA

What plugins do you use?

#4 - 2016-08-02 11:37 - Steven Wong

Redmine plugins:

  accept                         0.0.2

  advanced_roadmap               0.10.1

  clipboard_image_paste          1.10

  easy_wbs                       2016-0.0

  event_notifications            3.2.1

  exception_notification         0.0.1

  ez_assignee_founder            0.0.1

  issue_charts                   1.1.0

  issue_table_macro              0.0.1

  narrowdown                     0.0.1

  progressive_projects_list      3.0.1

  quick_edit                     0.0.9

  redmine__select2               1.0.5

  redmine_activity_report        1.2.6

  redmine_assign_grouping        0.0.1

  redmine_assignee_selector      0.0.1

  redmine_banner                 0.1.2

  redmine_base_deface            0.0.1

  redmine_base_select2           4.0.0

  redmine_ckeditor               1.1.3

  redmine_close_button           0.0.8

  redmine_custom_reports         0.1.5

  redmine_custom_values_projects 0.0.1

  redmine_custom_workflows       0.1.6

  redmine_dashboard              2.7.1

  redmine_didyoumean             1.2.0

  redmine_email_images           0.1.1

  redmine_filter_assignable      0.0.1

  redmine_graphs                 0.1.0

  redmine_helpdesk               0.0.15

  redmine_highlightjs            1.0.3

  redmine_html_diff              1.0.1

  redmine_importer               1.2.2

  redmine_information            1.0.2

  redmine_introductions          0.1

  redmine_issue_checklist        2.0.8

  redmine_issue_evm              3.5.7

  redmine_issue_favicon          0.0.1

  redmine_issue_history_filter   0.0.1

  redmine_issue_sla              1.0.0

  redmine_issue_status_colors    0.0.1

  redmine_issue_templates        0.1.2

  redmine_issues_macros          0.0.1

  redmine_issues_tree            0.0.7

  redmine_knowledgebase          3.2.0

  redmine_landing_page           1.0.0

  redmine_lightbox2              0.2.5

  redmine_local_avatars          0.2.0

  redmine_login_attempts_limit   0.1.0

  redmine_login_audit            0.3.0

  redmine_logs                   0.1.0

  redmine_meeting                1.1.0

  redmine_mentions               0.0.1

  redmine_menu_links             1.0.2

  redmine_message_issues         0.1.0

  redmine_monitoring_controlling 0.1.1

  redmine_my_page_queries        2.1.6
  redmine_non_member_watcher     1.0.0

  redmine_pivot_table            0.0.4

  redmine_presentation           0.2

  redmine_reminders              0.0.2

  redmine_revision_diff          0.1.1

  redmine_select2_inputs         0.0.1

  redmine_show_issue_assignee_avatar 0.0.1

  redmine_smile_togglesidebar    1.0.4

  redmine_stats                  0.0.3

  redmine_status_history         1.0.0

  redmine_tags                   3.1.1

  redmine_testlinklink           1.0.0

  redmine_theme_changer          0.2.0

  redmine_touch                  0.0.3

  redmine_user_import            0.1.0

  redmine_version_email          3.0.0

  redmine_vividtone_my_page_blocks 20150614

  redmine_watcher_groups         0.0.1

  redmine_wiki_books             0.0.5

  redmine_wiki_issue_details     0.1.0

  redmine_wiki_lists             0.0.6

  redmine_wiki_notes             0.0.2

  redmine_wiki_templates         0.2.0

  redmine_work_time              0.3.2

  redmine_workflow_enhancements  0.5.0

  redmine_workflow_hidden_fields 0.3.0

  redmine_xls_export             0.2.1.t9

  release_logs                   1.0.0

  simple_author_change           0.1.2

  spectator                      0.0.2

  view_customize                 1.1.4

  weekly                         0.0.1

  wiki_issue_fields              0.4.7

#5 - 2016-08-02 15:14 - Jake Kemme

This error is caused by the knowledge base plugin. This is not a core redmine issue.

Please see: Search Not Working Issue 330

Reference:

#23449 NoMethodError (undefined method `where' for

#23469 Knowledgebase plugin causes error in RM 3.2 Global Search

#23494 cannot search with keywords?

#6 - 2016-08-18 17:11 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
